> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Configure E-Verify Settings

> Configure E-Verify settings for an employer



## OpenAPI

````yaml /i9/api-reference/i-9-api.yaml post /v1/employers/{employerId}/everifySettings
openapi: 3.1.0
info:
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
  description: I-9 API Documentation
  license:
    name: Terms of service
    url: https://www.symmetry.com/terms
  title: I-9 API
  version: 1.69.13
servers:
  - url: https://api.symmetry.com/i9
security: []
tags:
  - description: >-
      Endpoints for managing custom app theming configurations for a specific
      employer
    name: Employer Custom App Theming
  - description: >-
      Endpoints for managing custom app theming configurations for all employers
      in the account
    name: Account Custom App Theming
paths:
  /v1/employers/{employerId}/everifySettings:
    post:
      tags:
        - Employer
      summary: Configure E-Verify Settings
      description: Configure E-Verify settings for an employer
      operationId: configureEVerifySettings
      parameters:
        - in: path
          name: employerId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            examples:
              Example of E-Verify settings configuration:
                description: Example of E-Verify settings configuration
                summary: E-Verify Settings Object
                value:
                  companyId: '123456'
                  programAdministratorEmail: john.doe@example.com
                  programAdministratorFirstName: John
                  programAdministratorId: '789012'
                  programAdministratorLastName: Doe
                  programAdministratorPhone: 234-567-8901
                  webServicePassword: everify_pwd
                  webServiceUsername: everify_user
            schema:
              $ref: '#/components/schemas/EVerifySettings'
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                This response will return the configured E-Verify settings:
                  description: This response will return the configured E-Verify settings
                  summary: >-
                    Example response when configuring E-Verify settings. HATEOAS
                    links are provided via HTTP headers.
                  value:
                    everifySettings:
                      companyId: '123456'
                      programAdministratorEmail: john.doe@example.com
                      programAdministratorFirstName: John
                      programAdministratorId: '789012'
                      programAdministratorLastName: Doe
                      programAdministratorPhone: 234-567-8901
                      webServiceUsername: everify_user
              schema:
                $ref: '#/components/schemas/EVerifySettingsResponse'
          description: OK
        '400':
          description: Bad Request, make sure to use proper POST request
        '404':
          description: Resource not found
      security:
        - AuthenticationToken: []
components:
  schemas:
    EVerifySettings:
      properties:
        companyId:
          type: string
        programAdministratorEmail:
          type: string
        programAdministratorFirstName:
          type: string
        programAdministratorId:
          type: string
        programAdministratorLastName:
          type: string
        programAdministratorPhone:
          type: string
        webServicePassword:
          type: string
          writeOnly: true
        webServiceUsername:
          type: string
      required:
        - companyId
        - programAdministratorEmail
        - programAdministratorFirstName
        - programAdministratorId
        - programAdministratorLastName
        - programAdministratorPhone
        - webServicePassword
        - webServiceUsername
      type: object
    EVerifySettingsResponse:
      properties:
        everifySettings:
          $ref: '#/components/schemas/EVerifySettings'
          description: Employer E-Verify Settings information
      type: object
  securitySchemes:
    AuthenticationToken:
      bearerFormat: JWT
      scheme: bearer
      type: http

````